curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/persons \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "01K5XD09EJ7T44HRYE78AN7JKL",
"first_name": "John",
"middle_name": "Jonas",
"last_name": "Johnson",
"suffix": null,
"relationship": "daughter",
"email": "alice@example.com",
"phone": "+11112223333",
"is_beneficiary": true,
"possible_dispute": false,
"is_deceased": false,
"waiver_status": "no_waiver_needed",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}List all interested persons and beneficiaries for a case.
curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/persons \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "01K5XD09EJ7T44HRYE78AN7JKL",
"first_name": "John",
"middle_name": "Jonas",
"last_name": "Johnson",
"suffix": null,
"relationship": "daughter",
"email": "alice@example.com",
"phone": "+11112223333",
"is_beneficiary": true,
"possible_dispute": false,
"is_deceased": false,
"waiver_status": "no_waiver_needed",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique case identifier (ULID format).
Page number for pagination.
x >= 1Number of items per page.
1 <= x <= 100